Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toxi.geom.mesh
Class OBJWriter

    java.lang.Object
      toxi.geom.mesh.OBJWriter

    public class OBJWriter

extends java.lang.Object

Extremely bare bones Wavefront OBJ 3D format exporter. Purely handles the writing of data to the .obj file, but does not have any form of mesh management. See `TriangleMesh` for details. Needs to get some more TLC in future versions.

See Also:
  `TriangleMesh.saveAsOBJ(OBJWriter)`

Field Summary
`java.lang.String` | `VERSION`

Constructor Summary
`OBJWriter()`

Method Summary
`void` | `beginSave(java.io.OutputStream stream)`
`void` | `beginSave(java.lang.String fn)`
`void` | `endSave()`
`void` | `face(int a, int b, int c)`
`void` | `faceList()`
`void` | `faceWithNormals(int a, int b, int c, int na, int nb, int nc)`
`int` | `getCurrNormalOffset()`
`int` | `getCurrVertexOffset()`
`void` | `newObject(java.lang.String name)`
`void` | `normal(Vec3D n)`
`void` | `vertex(Vec3D v)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION

    public final java.lang.String VERSION

See Also:
  Constant Field Values

Constructor Detail

### OBJWriter

    public OBJWriter()

Method Detail

### beginSave

    public void beginSave(java.io.OutputStream stream)

### beginSave

    public void beginSave(java.lang.String fn)

### endSave

    public void endSave()

### face

    public void face(int a,
                     int b,
                     int c)

### faceList

    public void faceList()

### faceWithNormals

    public void faceWithNormals(int a,
                                int b,
                                int c,
                                int na,
                                int nb,
                                int nc)

### getCurrNormalOffset

    public int getCurrNormalOffset()

### getCurrVertexOffset

    public int getCurrVertexOffset()

### newObject

    public void newObject(java.lang.String name)

### normal

    public void normal(Vec3D n)

### vertex

    public void vertex(Vec3D v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD